# Generated by Django 3.2.20 on 2023-09-01 14:51

import uuid

import django.core.serializers.json
import django.db.models.deletion
import nautobot.extras.models.mixins
import nautobot.extras.models.statuses
import taggit.managers
from django.db import migrations, models


class Migration(migrations.Migration):
    dependencies = [
        ("dcim", "0023_interface_redundancy_group_data_migration"),
        ("extras", "0058_jobresult_add_time_status_idxs"),
        ("nautobot_golden_config", "0025_remediation_settings"),
    ]

    operations = [
        migrations.CreateModel(
            name="ConfigPlan",
            fields=[
                (
                    "id",
                    models.UUIDField(
                        default=uuid.uuid4, editable=False, primary_key=True, serialize=False, unique=True
                    ),
                ),
                ("created", models.DateField(auto_now_add=True, null=True)),
                ("last_updated", models.DateTimeField(auto_now=True, null=True)),
                (
                    "_custom_field_data",
                    models.JSONField(blank=True, default=dict, encoder=django.core.serializers.json.DjangoJSONEncoder),
                ),
                ("plan_type", models.CharField(max_length=20)),
                ("config_set", models.TextField()),
                ("change_control_id", models.CharField(blank=True, max_length=50, null=True)),
                ("change_control_url", models.URLField(blank=True)),
                (
                    "device",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE, related_name="config_plan", to="dcim.device"
                    ),
                ),
                (
                    "feature",
                    models.ManyToManyField(
                        blank=True, related_name="config_plan", to="nautobot_golden_config.ComplianceFeature"
                    ),
                ),
                (
                    "job_result",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE, related_name="config_plan", to="extras.jobresult"
                    ),
                ),
                (
                    "status",
                    nautobot.extras.models.statuses.StatusField(
                        blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to="extras.status"
                    ),
                ),
                ("tags", taggit.managers.TaggableManager(through="extras.TaggedItem", to="extras.Tag")),
            ],
            options={
                "ordering": ("-created", "device"),
            },
            bases=(
                models.Model,
                nautobot.extras.models.mixins.DynamicGroupMixin,
                nautobot.extras.models.mixins.NotesMixin,
            ),
        ),
    ]
